[package]
name = "freechat-server"
version = "0.1.0"
authors = ["shockrah <alejandros714@protonmail.com>"]
edition = "2018"

[dependencies]
tokio = { version = "0.2", features=["full"] }
hyper = "0.13"
futures = "0.3"
url = "2.1.1"
mysql_async = "0.23.1"

dotenv = "0.9.0"

chrono = "0.4.0"
time = "0.2"

getrandom = "0.1"
bcrypt = "0.6"
base64 = "0.12.1"
rand = "0.7.3"

clap = "2.32.2"

serde_json = "1.0"
serde = { version = "1.0.114", features = [ "derive" ] }

# Database library/interface
db = { path = "db" }

[dev-dependencies]
tokio-test = "0.2.1"
